apiVersion: v1
kind: Pod
metadata:
  name: some-pod
spec:
  containers:
    - name: test-container
      image: gcr.io/google_containers/busybox
      command: [ "/bin/sh", "-c", "env" ]
      env:
        - name: SOME_KEY
          valueFrom:
            configMapKeyRef:
              name: some-config
              key: some.how